Subject: Ticket Assigned - Delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 14 Nov 2022 14:52:04 +0000

Hi Ali,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed an order on the 11th of this month. Till now I haven't received it. I contacted customer support on WhatsApp multiple times and sent my location to the delivery team and yet nothing. I placed an order for a refund twice and nothing happened.

This is not acceptable. I want a refund. It's unethical to keep customers' money. Talking to customer support on WhatsApp is pointless now. I want a refund. Enough is enough. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5266308